com.fasterxml.jackson.databind.deser.std

## Class JdkDeserializers.CharsetDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
      - - com.fasterxml.jackson.databind.deser.std.FromStringDeserializer<Charset>
        - - com.fasterxml.jackson.databind.deser.std.JdkDeserializers.CharsetDeserializer

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    JdkDeserializers

      protected static class JdkDeserializers.CharsetDeserializer
      extends FromStringDeserializer<Charset>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `JsonDeserializer.None`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JdkDeserializers.CharsetDeserializer` | `instance`

    - ### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

      `_valueClass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdkDeserializers.CharsetDeserializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Charset` | `_deserialize(String value, DeserializationContext ctxt)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.FromStringDeserializer

      `_deserializeEmbedded, deserialize`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer

      `deserializeWithType`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

      `_parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, findConvertingContentDeserializer, findDeserializer, getValueClass, getValueType, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `deserialize, getDelegatee, getEmptyValue, getKnownPropertyNames, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final JdkDeserializers.CharsetDeserializer instance

  - ### Constructor Detail

    - #### JdkDeserializers.CharsetDeserializer

          public JdkDeserializers.CharsetDeserializer()

  - ### Method Detail

    - #### _deserialize

          protected Charset _deserialize(String value,
                             DeserializationContext ctxt)
                                  throws IOException

      Specified by:
        `_deserialize` in class `FromStringDeserializer<Charset>`
      Throws:
        `IOException`

Copyright © 2012-2013 FasterXML. All Rights Reserved.